Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 523726 - net-wireless/blueman should depend on x11-libs/libnotify[introspection] - blueman-applet: ImportError: cannot import name Notify
Summary: net-wireless/blueman should depend on x11-libs/libnotify[introspection] - blu...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Tiziano Müller
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-25 19:18 UTC by Paweł Stankowski
Modified: 2015-08-08 15:47 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Proposed patch to add missing dependencies (blueman-ebuild.patch,4.00 KB, patch)
2015-02-04 14:01 UTC, Maxim Mikityanskiy
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Paweł Stankowski 2014-09-25 19:18:41 UTC
blueman-applet, which is part of net-wireless/blueman package requires x11-libs/libnotify[introspection] library to run. When libnotify is installed w/o introspection, following error occurs:

# blueman-applet 
ERROR:root:Could not find any typelib for Notify
Traceback (most recent call last):
  File "/usr/bin/blueman-applet", line 15, in <module>
    from gi.repository import Notify
ImportError: cannot import name Notify
Comment 1 Maxim Mikityanskiy 2015-02-04 13:53:14 UTC
Also the dependency on x11-libs/gtk+:3=[introspection] have to be added. Without gtk+[introspection] similar ImportError appears.
Comment 2 Maxim Mikityanskiy 2015-02-04 14:01:34 UTC
Created attachment 395526 [details, diff]
Proposed patch to add missing dependencies
Comment 3 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2015-08-08 15:47:11 UTC
Fixed that one today.